<template>
  <div id="backdrop" @click.self="closeModal">
    <div class="container-fluid h-100 m-0" @click.self="closeModal">
      <div class="row mt-5" @click.self="closeModal">
        <div class="col-md-4" @click.self="closeModal"></div>
        <div class="col-md-4 bg-light rounded">
          <div class="row mt-4">
            <div class="col">
              <h2>Charger un fichier de PayAsso</h2>
            </div>
          </div>
          <div class="row">
            <div class="col">
              <hr />
            </div>
          </div>
          <form @submit.prevent="sendFile">
            <div class="row">
              <div class="col text-start mx-5">
                <label for="inputFile" class="fw-bold text-start mb-2"
                  >Fichier PayAsso:</label
                >
                <input
                  type="file"
                  accept=".xlsx"
                  id="inputFile"
                  class="d-block"
                />
              </div>
              <div class="row">
                <div class="col my-4">
                  <button type="submit" class="btn btn-primary">Charger</button>
                </div>
              </div>
            </div>
          </form>
        </div>

        <div class="col-md-4" @click.self="closeModal"></div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import axios from "axios";

export default defineComponent({
  data() {
    return {};
  },
  methods: {
    closeModal() {
      this.$emit("closeModal");
    },
    sendFile() {
      const files = (document.querySelector("#inputFile") as HTMLInputElement)
        .files;
      if (!files || !files.length) {
        return;
      }
      const file = files[0];
      let formData = new FormData();
      formData.append("payments", file);
      axios
        .put("upload/payments", formData, {
          headers: {
            "Content-Type": "multipart/form-data",
            // "Access-Control-Allow-Origin": "*",
          },
        })
        .catch((error) => console.log(error));
    },
  },
});
</script>

<style scoped>
#backdrop {
  top: 0;
  position: fixed;
  background: rgba(0, 0, 0, 0.5);
  width: 100%;
  height: 100%;
  z-index: 10001;
  margin: 0;
}
</style>
